QMXDIR=/opt/qmx
echo -e "\nInstalling the QMX client for use at Fermi\n"
if [ -d $QMXDIR ] ; then
   cd $QMXDIR
   ./install_client.sh -m fermi-sms03.fnal.gov -s UBS
   RESULT=$?
   if [ $RESULT -eq 0 ]; then
	echo -e "\n\tDisabling software metering for QMX\n"
	scripts/disable_software_metering.sh
	cd / 
        echo "   "
	echo -e "\n\tRemoving the Fermi QMX install rpm\n"
	rpm -e qmx
   fi
fi
