from gtk import *
import string
import gtk
import gobject
import sys
import os

##
## I18N
## 
import gettext
gettext.bindtextdomain ("firstboot", "/usr/share/locale")
gettext.textdomain ("firstboot")
_=gettext.gettext

class childWindow:
    #You must specify a runPriority for the order in which you wish your module to run
    runPriority = 400  # needs to be after 45 which is the network
    moduleName = (_("QMX"))

    def launch(self, doDebug = None):
        testrpm = os.system("rpm -q qmx > /dev/null 2>&1")
        if testrpm == 1:
 	 	return None, None, None
        else:
         	if doDebug:
            		print "initializing QMX module"

        self.vbox = gtk.VBox()
        self.vbox.set_size_request(400, 200)

        msg = (_("QMX Install"))

#        title_pix = functions.imageFromFile("qmx.png")

        internalVBox = gtk.VBox()
        internalVBox.set_border_width(10)

        label = gtk.Label("This is the QMX Installation Verification Window.\n"
                          "This is to verify that this is a Desktop \n"
			  "where QMX is required to be installed\n\n")

        label.set_line_wrap(gtk.TRUE)
        label.set_alignment(0.0, 0.5)
        label.set_size_request(600, -1)
        internalVBox.pack_start(label, FALSE, TRUE)

#        label = gtk.Label(_("\n"
#                          "Some of the most common AFS cells are\n"
#                          "\n"
#                          "Cell Name   Lab Site\n"
#                          "========  ======\n"
#                          "anl.gov      Argonne\n"
#                          "cern.ch      CERN\n"
#                          "desy.de     DESY\n"
#                          "fnal.gov     Fermilab\n"
#                          "\n"))

#        label.set_line_wrap(gtk.TRUE)
#        label.set_alignment(0.0, 0.5)
#        label.set_size_request(600, -1)
#        internalVBox.pack_start(label, FALSE, TRUE)
	
#	f=open('/usr/vice/etc/ThisCell')
#	oldcellname = f.readline()
#	f.close()
#        oldcellname = string.strip(oldcellname)
	
#        table = gtk.Table(1, 2)
#	label = gtk.Label(_("AFS Cell:"))
#        self.afscellEntry = gtk.Entry()
#        self.afscellEntry.set_text(oldcellname)
#        table.attach(label, 0, 1, 0, 1, gtk.FILL)
#        table.attach(self.afscellEntry, 1, 2, 0, 1, gtk.SHRINK, gtk.FILL, 5, 5)
#        internalVBox.pack_start(table, gtk.TRUE, 15)

	self.qmxCheckButton = gtk.CheckButton(_("_Install QMX Inventory ?"))
	self.qmxCheckButton.set_active(gtk.TRUE)
        a = gtk.Alignment(0, 2)
        a.add(self.qmxCheckButton)
	internalVBox.pack_start(a, gtk.FALSE)
	
#        label = gtk.Label(_("\n"
#                          "Please Note:\n"
#                          "If you have your firewall turned on, AFS might not work properly.\n"
#                          "You may need to either turn your firewall off, or poke the appropriate holes.\n"
#                          "\n"))

#        label.set_line_wrap(gtk.TRUE)
#        label.set_alignment(0.0, 0.5)
#        label.set_size_request(600, -1)
#        internalVBox.pack_start(label, FALSE, TRUE)

        self.vbox.pack_start(internalVBox, gtk.FALSE, 5)
        title_pix = ""
            
        return self.vbox, title_pix, msg

    def apply(self, notebook):
	
        internalVBox = gtk.VBox()
        internalVBox.set_border_width(10)
	QMXInstall = self.qmxCheckButton.get_active()
	if QMXInstall == gtk.TRUE:
	        label = gtk.Label("\n"
                          "You selected to install QMX Inventory:\n"
                          "The installation will take about 10 Minutes.\n"
                          "\n")
       		label.set_line_wrap(gtk.TRUE)
        	label.set_alignment(0.0, 0.5)
        	label.set_size_request(600, -1)
        	internalVBox.pack_start(label, FALSE, TRUE)
                self.vbox.pack_start(internalVBox, gtk.FALSE, 5)
		os.system('/opt/qmx/fermi_install_qmx_client.sh')
		f=open('/etc/sysconfig/qmx' , 'w')
		f.write("QMX INSTALLED" )
		f.close()
	else:
	        label = gtk.Label("\n"
                          "You selected to NOT install QMX Inventory:\n"
                          "Fermi Policy requires QMX Inventory be installed on all Fermi Linux Desktops.\n" 
                          "\n")
		f=open('/etc/sysconfig/qmx' , 'w')
		f.write("QMX NOT INSTALLED" )
		f.close()

       		label.set_line_wrap(gtk.TRUE)
        	label.set_alignment(0.0, 0.5)
        	label.set_size_request(600, -1)
        	internalVBox.pack_start(label, FALSE, TRUE)
	
        return 0
