%define path /opt/qmx

Summary: qmx container rpm
Name: qmx
Version: 2
Release: 2
License: not
Group: Fermi
Source0: qmx-2.2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This rpm contains the tar ball of the qmx product.
You must still cd to %{path} and run fermi_install_client.sh 
%prep

%install
#This cleans up the old build root area
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
#Here we make the correct directory, cd to it, and untar our tarball
mkdir -p $RPM_BUILD_ROOT/%{path}
cd $RPM_BUILD_ROOT/%{path}
tar xvfz %{SOURCE0}

%clean
#This cleans up the old build root area when we are done
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{path}/

%post
#cd %{path}
#sh ./fermi_install_client.sh 

%changelog
* Wed Mar 08 2009 Troy Dawson <dawson@fnal.gov> 1-1
- Created this rpm for training
